/****************************************************************************
Copyright 2010 Bilkent University

Licensed under the Apache License, Version 2.0 (the "License"); 
you may not use this file except in compliance with the License. 
You may obtain a copy of the License at 
http://www.apache.org/licenses/LICENSE-2.0 

Unless required by applicable law or agreed to in writing, software 
distributed under the License is distributed on an "AS IS" BASIS, 
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
See the License for the specific language governing permissions and 
limitations under the License. 
****************************************************************************/
#include "REng/Util.h"

namespace REng{

	/************************************************************************/
	/* RANGE                                                                */
	/************************************************************************/

	Range::Range() : mStart(0), mSize(0) { ; }

	bool Range::set(size_t start, size_t size){
		if(checkRange(start,size)==false) return false;
		mSize = size;
		mStart = start;
		return true;
	}
	bool Range::setLimits(size_t _start, size_t _end){
		return set(_start, _end - _start);
	}
	bool Range::checkRange(size_t start, size_t size){
		return true;
	}
	size_t Range::getStart() const{
		return mStart;
	}
	size_t Range::getSize() const{
		return mSize;
	}


}
